Skip to main content
GET
/
bank-accounts
List bank accounts
curl --request GET \
  --url https://{host}/bank-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'x-user-id: <x-user-id>'
[
  {
    "id": "64f0c51e7fb3fc001234abcd",
    "userId": "bank-user-12345",
    "holderName": "Jane Doe",
    "iban": "GR1601101250000000012300695",
    "currency": "EUR",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "bic": "ETHNGRAA",
    "bankName": "National Bank of Greece"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-user-id
string
required

The external user identifier of the acting customer.

Example:

"bank-user-12345"

Response

List of bank accounts

id
string
required

Unique identifier of the bank account (MongoDB ObjectId)

Pattern: ^[a-f0-9]{24}$
Example:

"64f0c51e7fb3fc001234abcd"

userId
string
required

Identifier of the user who owns this bank account

Example:

"bank-user-12345"

holderName
string
required

Name of the account holder

Example:

"Jane Doe"

iban
string
required

IBAN (International Bank Account Number)

Example:

"GR1601101250000000012300695"

currency
enum<string>
required

ISO 4217 currency code. Always EUR for bank accounts created through this API.

Available options:
EUR,
GBP,
USD
Example:

"EUR"

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
bic
string

BIC (Bank Identifier Code)

Example:

"ETHNGRAA"

bankName
string

Name of the bank, derived from BIC

Example:

"National Bank of Greece"